Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Ajuda com instalação de ATI RADEON
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Portuguese
View previous topic :: View next topic  
Author Message
_sms
n00b
n00b


Joined: 26 Dec 2006
Posts: 2

PostPosted: Tue Dec 26, 2006 7:23 pm    Post subject: Ajuda com instalação de ATI RADEON Reply with quote

Acabei de instalar o gentoo, nunca havia usado esse sistema.
Preciso adicionar o modulo fglrx para a minha radeon 9600xt.
Baixei o instalador do site da ati.com e fui seguindo alguns tutoriais.

Estou empacado no seguinte:

Code:
# ./make.sh
ATI module generator V 2.0
==========================
initializing...
kernel includes at /usr/src/linux/include not found or incomplete
file: /usr/src/linux/include/linux/version.h


vi que em outras distribuiçoes (como o ubuntu), eu precisaria baixar um pacote chamado kernel-headers para obter esse arquivo (version.h). Dei uma olhada no portage e não tem nada disso. O mais parecido seria linux-headers, mas isso já está instalado aqui.

Qualquer ajuda é bem vinda.

Obrigado.
Back to top
View user's profile Send private message
ventuno
n00b
n00b


Joined: 16 Dec 2006
Posts: 3

PostPosted: Wed Dec 27, 2006 1:24 am    Post subject: Reply with quote

Dá uma olhada nesta página e ve se ajuda.
http://gentoo-wiki.com/HOWTO_ATI_Drivers
Back to top
View user's profile Send private message
_sms
n00b
n00b


Joined: 26 Dec 2006
Posts: 2

PostPosted: Wed Dec 27, 2006 4:12 am    Post subject: Reply with quote

mauro ventura wrote:
Dá uma olhada nesta página e ve se ajuda.
http://gentoo-wiki.com/HOWTO_ATI_Drivers


valeu cara, mas já tinha visto essa página.

recompilei o kernel e as mensagens de erro mudaram um pouco.
quando tento seguir a instalação do driver que tem no site da ati:

Code:
# ./make.sh
ATI module generator V 2.0
==========================
initializing...
cat: /usr/src/linux/include/linux/version-*.h: Arquivo ou diretório não encontrado
Error:
kernel includes at /usr/src/linux/include do not match current kernel.
they are versioned as ""
instead of "2.6.17-gentoo-r7".
you might need to adjust your symlinks:
- /usr/include
- /usr/src/linux


quando tendo dar emerge ati-drivers:

Code:

...
>>> Install ati-drivers-8.27.10-r1 into /var/tmp/portage/ati-drivers-8.27.10-r1/image/ category x11-drivers
 * Installing fglrx module
install: impossível fazer stat em `fglrx.ko': Arquivo ou diretório não encontrado

!!! ERROR: x11-drivers/ati-drivers-8.27.10-r1 failed.
Call stack:
  ebuild.sh, line 1539:   Called dyn_install
  ebuild.sh, line 1013:   Called src_install
  ati-drivers-8.27.10-r1.ebuild, line 205:   Called linux-mod_src_install
  linux-mod.eclass, line 540:   Called die

!!! doins fglrx.ko failed
!!! If you need support, post the topmost build error, and the call stack if relevant.
Back to top
View user's profile Send private message
dieder
n00b
n00b


Joined: 30 Dec 2006
Posts: 1

PostPosted: Sat Dec 30, 2006 2:07 am    Post subject: Reply with quote

Você precisa fazer o seguinte:

Copile o xorg-server apenas com a flag "fglrx" habilitada,

VIDEO_CARDS="fglrx" emerge xorg-server, ative tambem opengl USE="opengl"

Depois você pode compilar o ati-drivers. Recomendo você utilizar o ultimo driver disponivel no emerge, pois para mim que possuo uma ati 9600 pro funcionou bem apenas com o ultimo.

emerge /usr/portage/x11-drivers/ati-drivers/ati-drivers-8.32.5.ebuild

Alem disso, voce precisa criar um link para o X saber onde está o driver correto.

No meu caso usei

ln -sf /usr/lib/xorg/modules/dri/fglrx_dri.so /usr/lib/dri/fglrx_dri.so

depois voce so precisa configurar o x, que estara funcionando.

espero ter ajudado.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portuguese All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum